#include <iostream>
#include <vector>
#include <bits/stdc++.h>
using namespace std;
vector<int> xdelioci(int k,int a){
    vector<int>d;
    for(int i=0;i<k;i++){
        if(a%i==0)
            d.push_back(i);
    }
    return d;
}
int xr(int a, int b){
    return a^b;
}
void de(int x){
    int i=1;
    int br=0;
    int a[br];
    while(x>i){
        if(x%i==0)
            a[br++]=i;
            i++;
    }
    cout<<a;

}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n,k;
    cin>>n>>k;
    vector<int> d(k);
    for(int i=0;i<k;i++)
        cin>>d[i];

    de(n);

    for(int i=0;i<k;i++){
        xdelioci(k,d[i]);
        cout<<xr(d[i],d[i+1]);
    }
}